# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# -*- coding: utf-8 -*-
import dataiku
import pandas as pd, numpy as np
from dataiku import pandasutils as pdu
import pm4py
from commons.python.dku_utils.folders.pickles.folder_pickles import read_pickle_from_managed_folder
from commons.python.dku_utils.core import get_current_project_and_variables

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
project, variables = get_current_project_and_variables()
report_process = variables['standard']['reference_process']

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
dfg_dict = read_pickle_from_managed_folder(project, 'saved_processes', report_process + '_dfg.p')

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
workflow_mined = dfg_dict['workflow_mined']
start_end = dfg_dict['start_end']
start_end = start_end.append(pd.DataFrame({'step': ['SINK'], 'frequency': [0], 'start_end': ['end']}))
activities = dfg_dict['activities']
activities = activities.append(pd.DataFrame({'step': ['SINK'], 'frequency': [0]}))

workflow = dataiku.Dataset('reference_process_workflow')
workflow.write_with_schema(workflow_mined)
start_end_ds = dataiku.Dataset('reference_process_start_end')
start_end_ds.write_with_schema(start_end)
activities_ds = dataiku.Dataset('reference_process_activities')
activities_ds.write_with_schema(activities)